User
A user object represents individual user of Rossum. Every user is assigned to an organization.
A user can be assigned user roles (permission groups). User usually has only one assigned role (with the exception of approver role).
User may be assigned to one or more queues and can only access annotations from the assigned queues. This restriction is not applied to admin users, who may access annotations from all queues.
Users cannot be deleted, but can be disabled (set is_active to false).
Field email cannot be changed through the API (due to security reasons).
Field password can be set on user creation but cannot be changed through the API (due to security reasons).
Field oidc_id will be set to User's email when transitioning to sso authorization, if empty.
User
ID of the user
URL of the user
First name of the user
Last name of the user
Email of the user
Phone number of the user
Password (not shown on API)
Date of user join
Username of a user
Organization URL.
List of queues user is assigned to
Default:[]Whether user is enabled or disabled
Default:trueDate of last login
User-related frontend UI settings (e.g. locales). Rossum internal.
Default:{}Client data. May be used to store e.g. external system object IDs. See Metadata for more details.
Default:{}OIDC provider id used to match Rossum user (displayed only to admin user)
Default:nullAuthorization method, can be sso or password. This field can be edited only by admin.
"password"Whether a user is deleted
Default:falseList users
GET api / v1 / users
Retrieve all user objects.
curl -X GET "https://example.rossum.app/api/v1/users"{
"pagination": {
"next": null,
"previous": null
},
"results": [
{
"id": 10775,
"url": "https://example.rossum.app/api/v1/users/10775",
"first_name": "John",
"last_name": "Doe",
"email": "john-doe@east-west-trading.com",
"phone_number": "+1-212-456-7890",
"password": "string",
"date_joined": "2018-09-19T13:44:56.000000Z",
"username": "john-doe@east-west-trading.com",
"groups": [
"https://example.rossum.app/api/v1/groups/3"
],
"organization": "https://example.rossum.app/api/v1/organizations/406",
"queues": [
"https://example.rossum.app/api/v1/queues/8199"
],
"is_active": true,
"last_login": "2019-02-07T16:20:18.652253Z",
"ui_settings": {},
"metadata": {
"some_key": "some_value"
},
"oidc_id": null,
"auth_type": "password",
"deleted": false
}
]
}{
"detail": "Bad Request.",
"code": "bad_request"
}{
"detail": "Invalid token.",
"code": "authentication_failed"
}{
"detail": "Access to the requested resource is forbidden.",
"code": "access_forbidden"
}{
"detail": "Not found.",
"code": "not_found"
}{
"detail": "Conflict.",
"code": "conflict_status"
}{
"detail": "Request was rate limited.",
"code": "rate_limited",
"url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}{
"detail": "Server error.",
"code": "error"
}{
"detail": "Bad Gateway.",
"code": "bad_gateway"
}{
"detail": "Service Unavailable.",
"code": "service_unavailable"
}{
"detail": "Gateway timeout.",
"code": "gateway_timeout"
}Response
OK
Invalid input data.
Detail of the error
Code of the error
The username/password is invalid or token is invalid (e.g. expired).
Detail of the error
Code of the error
Insufficient permission, missing authentication, invalid CSRF token and similar issue.
Detail of the error
Code of the error
The specified resource was not found.
Detail of the error
Code of the error
Conflict
Detail of the error
Code of the error
Request rate is too high, wait before sending more requests. See Rate Limiting for more details.
Detail of the error
Code of the error
Link to the rate limiting documentation
Server failure while processing the request.
Detail of the error
Code of the error
Invalid response from the upstream server.
Detail of the error
Code of the error
We're temporarily offline for maintenance. Please try again later.
Detail of the error
Code of the error
Upstream server could not complete the request in time.
Detail of the error
Code of the error
Create user
POST api / v1 / users
Create a new user object.
For security reasons, it is better to create users without a specified password. Such users have an invalid password. Later, they can set their password after using reset-password endpoint.
curl -X POST "https://example.rossum.app/api/v1/users" \ -H "Content-Type: application/json" \ -d '{ "username": "john-doe@east-west-trading.com", "organization": "https://example.rossum.app/api/v1/organizations/406" }'{
"id": 10775,
"url": "https://example.rossum.app/api/v1/users/10775",
"first_name": "John",
"last_name": "Doe",
"email": "john-doe@east-west-trading.com",
"phone_number": "+1-212-456-7890",
"password": "string",
"date_joined": "2018-09-19T13:44:56.000000Z",
"username": "john-doe@east-west-trading.com",
"groups": [
"https://example.rossum.app/api/v1/groups/3"
],
"organization": "https://example.rossum.app/api/v1/organizations/406",
"queues": [
"https://example.rossum.app/api/v1/queues/8199"
],
"is_active": true,
"last_login": "2019-02-07T16:20:18.652253Z",
"ui_settings": {},
"metadata": {
"some_key": "some_value"
},
"oidc_id": null,
"auth_type": "password",
"deleted": false
}{
"detail": "Bad Request.",
"code": "bad_request"
}{
"detail": "Invalid token.",
"code": "authentication_failed"
}{
"detail": "Access to the requested resource is forbidden.",
"code": "access_forbidden"
}{
"detail": "Not found.",
"code": "not_found"
}{
"detail": "Conflict.",
"code": "conflict_status"
}{
"detail": "Payload Too Large.",
"code": "payload_too_large"
}{
"detail": "Request was rate limited.",
"code": "rate_limited",
"url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}{
"detail": "Server error.",
"code": "error"
}{
"detail": "Bad Gateway.",
"code": "bad_gateway"
}{
"detail": "Service Unavailable.",
"code": "service_unavailable"
}{
"detail": "Gateway timeout.",
"code": "gateway_timeout"
}Request Body
application/json
First name of the user
Last name of the user
Phone number of the user
Password (not shown on API)
Date of user join
Username of a user
Organization URL.
List of queues user is assigned to
Default:[]Whether user is enabled or disabled
Default:trueDate of last login
User-related frontend UI settings (e.g. locales). Rossum internal.
Default:{}Client data. May be used to store e.g. external system object IDs. See Metadata for more details.
Default:{}OIDC provider id used to match Rossum user (displayed only to admin user)
Default:nullAuthorization method, can be sso or password. This field can be edited only by admin.
"password"Response
Created
ID of the user
URL of the user
First name of the user
Last name of the user
Email of the user
Phone number of the user
Date of user join
Username of a user
Organization URL.
List of queues user is assigned to
Default:[]Whether user is enabled or disabled
Default:trueDate of last login
User-related frontend UI settings (e.g. locales). Rossum internal.
Default:{}Client data. May be used to store e.g. external system object IDs. See Metadata for more details.
Default:{}OIDC provider id used to match Rossum user (displayed only to admin user)
Default:nullAuthorization method, can be sso or password. This field can be edited only by admin.
"password"Whether a user is deleted
Default:falseInvalid input data.
Detail of the error
Code of the error
The username/password is invalid or token is invalid (e.g. expired).
Detail of the error
Code of the error
Insufficient permission, missing authentication, invalid CSRF token and similar issue.
Detail of the error
Code of the error
The specified resource was not found.
Detail of the error
Code of the error
Conflict
Detail of the error
Code of the error
Payload too large (especially for files uploaded).
Detail of the error
Code of the error
Request rate is too high, wait before sending more requests. See Rate Limiting for more details.
Detail of the error
Code of the error
Link to the rate limiting documentation
Server failure while processing the request.
Detail of the error
Code of the error
Invalid response from the upstream server.
Detail of the error
Code of the error
We're temporarily offline for maintenance. Please try again later.
Detail of the error
Code of the error
Upstream server could not complete the request in time.
Detail of the error
Code of the error
Retrieve user
GET api / v1 / users / {userID}
Get a user object.
curl -X GET "https://example.rossum.app/api/v1/users/10775"{
"id": 10775,
"url": "https://example.rossum.app/api/v1/users/10775",
"first_name": "John",
"last_name": "Doe",
"email": "john-doe@east-west-trading.com",
"phone_number": "+1-212-456-7890",
"password": "string",
"date_joined": "2018-09-19T13:44:56.000000Z",
"username": "john-doe@east-west-trading.com",
"groups": [
"https://example.rossum.app/api/v1/groups/3"
],
"organization": "https://example.rossum.app/api/v1/organizations/406",
"queues": [
"https://example.rossum.app/api/v1/queues/8199"
],
"is_active": true,
"last_login": "2019-02-07T16:20:18.652253Z",
"ui_settings": {},
"metadata": {
"some_key": "some_value"
},
"oidc_id": null,
"auth_type": "password",
"deleted": false
}{
"detail": "Bad Request.",
"code": "bad_request"
}{
"detail": "Invalid token.",
"code": "authentication_failed"
}{
"detail": "Access to the requested resource is forbidden.",
"code": "access_forbidden"
}{
"detail": "Not found.",
"code": "not_found"
}{
"detail": "Conflict.",
"code": "conflict_status"
}{
"detail": "Request was rate limited.",
"code": "rate_limited",
"url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}{
"detail": "Server error.",
"code": "error"
}{
"detail": "Bad Gateway.",
"code": "bad_gateway"
}{
"detail": "Service Unavailable.",
"code": "service_unavailable"
}{
"detail": "Gateway timeout.",
"code": "gateway_timeout"
}Response
OK
ID of the user
URL of the user
First name of the user
Last name of the user
Email of the user
Phone number of the user
Date of user join
Username of a user
Organization URL.
List of queues user is assigned to
Default:[]Whether user is enabled or disabled
Default:trueDate of last login
User-related frontend UI settings (e.g. locales). Rossum internal.
Default:{}Client data. May be used to store e.g. external system object IDs. See Metadata for more details.
Default:{}OIDC provider id used to match Rossum user (displayed only to admin user)
Default:nullAuthorization method, can be sso or password. This field can be edited only by admin.
"password"Whether a user is deleted
Default:falseInvalid input data.
Detail of the error
Code of the error
The username/password is invalid or token is invalid (e.g. expired).
Detail of the error
Code of the error
Insufficient permission, missing authentication, invalid CSRF token and similar issue.
Detail of the error
Code of the error
The specified resource was not found.
Detail of the error
Code of the error
Conflict
Detail of the error
Code of the error
Request rate is too high, wait before sending more requests. See Rate Limiting for more details.
Detail of the error
Code of the error
Link to the rate limiting documentation
Server failure while processing the request.
Detail of the error
Code of the error
Invalid response from the upstream server.
Detail of the error
Code of the error
We're temporarily offline for maintenance. Please try again later.
Detail of the error
Code of the error
Upstream server could not complete the request in time.
Detail of the error
Code of the error
Partial update user
PATCH api / v1 / users / {userID}
Update part of user object.
curl -X PATCH "https://example.rossum.app/api/v1/users/10775" \ -H "Content-Type: application/json" \ -d '{}'{
"id": 10775,
"url": "https://example.rossum.app/api/v1/users/10775",
"first_name": "John",
"last_name": "Doe",
"email": "john-doe@east-west-trading.com",
"phone_number": "+1-212-456-7890",
"password": "string",
"date_joined": "2018-09-19T13:44:56.000000Z",
"username": "john-doe@east-west-trading.com",
"groups": [
"https://example.rossum.app/api/v1/groups/3"
],
"organization": "https://example.rossum.app/api/v1/organizations/406",
"queues": [
"https://example.rossum.app/api/v1/queues/8199"
],
"is_active": true,
"last_login": "2019-02-07T16:20:18.652253Z",
"ui_settings": {},
"metadata": {
"some_key": "some_value"
},
"oidc_id": null,
"auth_type": "password",
"deleted": false
}{
"detail": "Bad Request.",
"code": "bad_request"
}{
"detail": "Invalid token.",
"code": "authentication_failed"
}{
"detail": "Access to the requested resource is forbidden.",
"code": "access_forbidden"
}{
"detail": "Not found.",
"code": "not_found"
}{
"detail": "Conflict.",
"code": "conflict_status"
}{
"detail": "Payload Too Large.",
"code": "payload_too_large"
}{
"detail": "Request was rate limited.",
"code": "rate_limited",
"url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}{
"detail": "Server error.",
"code": "error"
}{
"detail": "Bad Gateway.",
"code": "bad_gateway"
}{
"detail": "Service Unavailable.",
"code": "service_unavailable"
}{
"detail": "Gateway timeout.",
"code": "gateway_timeout"
}Request Body
application/json
First name of the user
Last name of the user
Phone number of the user
Password (not shown on API)
Date of user join
Username of a user
Organization URL.
List of queues user is assigned to
Default:[]Whether user is enabled or disabled
Default:trueDate of last login
User-related frontend UI settings (e.g. locales). Rossum internal.
Default:{}Client data. May be used to store e.g. external system object IDs. See Metadata for more details.
Default:{}OIDC provider id used to match Rossum user (displayed only to admin user)
Default:nullAuthorization method, can be sso or password. This field can be edited only by admin.
"password"Response
OK
ID of the user
URL of the user
First name of the user
Last name of the user
Email of the user
Phone number of the user
Date of user join
Username of a user
Organization URL.
List of queues user is assigned to
Default:[]Whether user is enabled or disabled
Default:trueDate of last login
User-related frontend UI settings (e.g. locales). Rossum internal.
Default:{}Client data. May be used to store e.g. external system object IDs. See Metadata for more details.
Default:{}OIDC provider id used to match Rossum user (displayed only to admin user)
Default:nullAuthorization method, can be sso or password. This field can be edited only by admin.
"password"Whether a user is deleted
Default:falseInvalid input data.
Detail of the error
Code of the error
The username/password is invalid or token is invalid (e.g. expired).
Detail of the error
Code of the error
Insufficient permission, missing authentication, invalid CSRF token and similar issue.
Detail of the error
Code of the error
The specified resource was not found.
Detail of the error
Code of the error
Conflict
Detail of the error
Code of the error
Payload too large (especially for files uploaded).
Detail of the error
Code of the error
Request rate is too high, wait before sending more requests. See Rate Limiting for more details.
Detail of the error
Code of the error
Link to the rate limiting documentation
Server failure while processing the request.
Detail of the error
Code of the error
Invalid response from the upstream server.
Detail of the error
Code of the error
We're temporarily offline for maintenance. Please try again later.
Detail of the error
Code of the error
Upstream server could not complete the request in time.
Detail of the error
Code of the error
Delete user
DELETE api / v1 / users / {userID}
Soft-delete a user - marking a user as deleted, without a possibility of reversing the deletion.
The following rules apply to user soft-deletion:
- A regular user can delete self and nobody else
- An organization admin can delete other users within the organization, including other admins
- For trial organizations, the admin deleting self actually means the whole trial organization will be deleted
- For non-trial organization
- The last admin cannot be deleted via API, but must instead create a ticket with support
- If the organization has an organization group admin, the admin can delete self but the org will be preserved
- An organization group admin
- Cannot be deleted via API
- Can remove any organization admin or regular user
curl -X DELETE "https://example.rossum.app/api/v1/users/10775"{
"detail": "Bad Request.",
"code": "bad_request"
}{
"detail": "Invalid token.",
"code": "authentication_failed"
}{
"detail": "Access to the requested resource is forbidden.",
"code": "access_forbidden"
}{
"detail": "Not found.",
"code": "not_found"
}{
"detail": "Conflict.",
"code": "conflict_status"
}{
"detail": "Request was rate limited.",
"code": "rate_limited",
"url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}{
"detail": "Server error.",
"code": "error"
}{
"detail": "Bad Gateway.",
"code": "bad_gateway"
}{
"detail": "Service Unavailable.",
"code": "service_unavailable"
}{
"detail": "Gateway timeout.",
"code": "gateway_timeout"
}Response
No Content
No response body.
Invalid input data.
Detail of the error
Code of the error
The username/password is invalid or token is invalid (e.g. expired).
Detail of the error
Code of the error
Insufficient permission, missing authentication, invalid CSRF token and similar issue.
Detail of the error
Code of the error
The specified resource was not found.
Detail of the error
Code of the error
Conflict
Detail of the error
Code of the error
Request rate is too high, wait before sending more requests. See Rate Limiting for more details.
Detail of the error
Code of the error
Link to the rate limiting documentation
Server failure while processing the request.
Detail of the error
Code of the error
Invalid response from the upstream server.
Detail of the error
Code of the error
We're temporarily offline for maintenance. Please try again later.
Detail of the error
Code of the error
Upstream server could not complete the request in time.
Detail of the error
Code of the error
Update user
PUT api / v1 / users / {userID}
Update user object.
curl -X PUT "https://example.rossum.app/api/v1/users/10775" \ -H "Content-Type: application/json" \ -d '{ "username": "john-doe@east-west-trading.com", "organization": "https://example.rossum.app/api/v1/organizations/406" }'{
"id": 10775,
"url": "https://example.rossum.app/api/v1/users/10775",
"first_name": "John",
"last_name": "Doe",
"email": "john-doe@east-west-trading.com",
"phone_number": "+1-212-456-7890",
"password": "string",
"date_joined": "2018-09-19T13:44:56.000000Z",
"username": "john-doe@east-west-trading.com",
"groups": [
"https://example.rossum.app/api/v1/groups/3"
],
"organization": "https://example.rossum.app/api/v1/organizations/406",
"queues": [
"https://example.rossum.app/api/v1/queues/8199"
],
"is_active": true,
"last_login": "2019-02-07T16:20:18.652253Z",
"ui_settings": {},
"metadata": {
"some_key": "some_value"
},
"oidc_id": null,
"auth_type": "password",
"deleted": false
}{
"detail": "Bad Request.",
"code": "bad_request"
}{
"detail": "Invalid token.",
"code": "authentication_failed"
}{
"detail": "Access to the requested resource is forbidden.",
"code": "access_forbidden"
}{
"detail": "Not found.",
"code": "not_found"
}{
"detail": "Conflict.",
"code": "conflict_status"
}{
"detail": "Payload Too Large.",
"code": "payload_too_large"
}{
"detail": "Request was rate limited.",
"code": "rate_limited",
"url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}{
"detail": "Server error.",
"code": "error"
}{
"detail": "Bad Gateway.",
"code": "bad_gateway"
}{
"detail": "Service Unavailable.",
"code": "service_unavailable"
}{
"detail": "Gateway timeout.",
"code": "gateway_timeout"
}Request Body
application/json
First name of the user
Last name of the user
Phone number of the user
Password (not shown on API)
Date of user join
Username of a user
Organization URL.
List of queues user is assigned to
Default:[]Whether user is enabled or disabled
Default:trueDate of last login
User-related frontend UI settings (e.g. locales). Rossum internal.
Default:{}Client data. May be used to store e.g. external system object IDs. See Metadata for more details.
Default:{}OIDC provider id used to match Rossum user (displayed only to admin user)
Default:nullAuthorization method, can be sso or password. This field can be edited only by admin.
"password"Response
OK
ID of the user
URL of the user
First name of the user
Last name of the user
Email of the user
Phone number of the user
Date of user join
Username of a user
Organization URL.
List of queues user is assigned to
Default:[]Whether user is enabled or disabled
Default:trueDate of last login
User-related frontend UI settings (e.g. locales). Rossum internal.
Default:{}Client data. May be used to store e.g. external system object IDs. See Metadata for more details.
Default:{}OIDC provider id used to match Rossum user (displayed only to admin user)
Default:nullAuthorization method, can be sso or password. This field can be edited only by admin.
"password"Whether a user is deleted
Default:falseInvalid input data.
Detail of the error
Code of the error
The username/password is invalid or token is invalid (e.g. expired).
Detail of the error
Code of the error
Insufficient permission, missing authentication, invalid CSRF token and similar issue.
Detail of the error
Code of the error
The specified resource was not found.
Detail of the error
Code of the error
Conflict
Detail of the error
Code of the error
Payload too large (especially for files uploaded).
Detail of the error
Code of the error
Request rate is too high, wait before sending more requests. See Rate Limiting for more details.
Detail of the error
Code of the error
Link to the rate limiting documentation
Server failure while processing the request.
Detail of the error
Code of the error
Invalid response from the upstream server.
Detail of the error
Code of the error
We're temporarily offline for maintenance. Please try again later.
Detail of the error
Code of the error
Upstream server could not complete the request in time.
Detail of the error
Code of the error
Login
POST api / v1 / auth / login
Authenticate with username and password to obtain an access token.
The returned key can be used for Bearer (or Token) authentication in subsequent requests:
Authorization: Bearer <key>The token expires after a configurable period (default 162 hours). When it expires, re-authenticate to obtain a new token.
curl -X POST "https://example.rossum.app/api/v1/auth/login" \ -H "Content-Type: application/json" \ -d '{ "username": "east-west-trading-co@example.rossum.app", "password": "aCo2ohghBo8Oghai" }'{
"key": "db313f24f5738c8e04635e036ec8a45cdd6d6b03",
"domain": "acme-corp.app.rossum.ai"
}{
"detail": "Bad Request.",
"code": "bad_request"
}{
"detail": "Request was rate limited.",
"code": "rate_limited",
"url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}{
"detail": "Server error.",
"code": "error"
}{
"detail": "Bad Gateway.",
"code": "bad_gateway"
}{
"detail": "Service Unavailable.",
"code": "service_unavailable"
}{
"detail": "Gateway timeout.",
"code": "gateway_timeout"
}Request Body
application/json
Username (email address) of the user to log in.
Password of the user.
Duration (in seconds) for which the token will be valid. Default is 162 hours, which is also the maximum.
Response
OK
Access token to use for authentication.
The domain the token was issued for.
Invalid input data.
Detail of the error
Code of the error
Request rate is too high, wait before sending more requests. See Rate Limiting for more details.
Detail of the error
Code of the error
Link to the rate limiting documentation
Server failure while processing the request.
Detail of the error
Code of the error
Invalid response from the upstream server.
Detail of the error
Code of the error
We're temporarily offline for maintenance. Please try again later.
Detail of the error
Code of the error
Upstream server could not complete the request in time.
Detail of the error
Code of the error
Change password
POST api / v1 / auth / password / change
Change password of current user.
Due to security reasons, user passwords cannot be set directly using the standard CRUD operations. Instead, the following endpoints can be used for resetting and changing passwords.
Password requirements:
- Length: 12–64 characters
- May not be similar to username
- May not contain common words
- May not be numeric only
- Must pass complexity check
curl -X POST "https://example.rossum.app/api/v1/auth/password/change" \ -H "Content-Type: application/json" \ -d '{ "new_password1": "MyNewSecurePassword", "new_password2": "MyNewSecurePassword", "old_password": "MyOldPassword" }'{
"id": 10775,
"url": "https://example.rossum.app/api/v1/users/10775",
"first_name": "John",
"last_name": "Doe",
"email": "john-doe@east-west-trading.com",
"phone_number": "+1-212-456-7890",
"password": "string",
"date_joined": "2018-09-19T13:44:56.000000Z",
"username": "john-doe@east-west-trading.com",
"groups": [
"https://example.rossum.app/api/v1/groups/3"
],
"organization": "https://example.rossum.app/api/v1/organizations/406",
"queues": [
"https://example.rossum.app/api/v1/queues/8199"
],
"is_active": true,
"last_login": "2019-02-07T16:20:18.652253Z",
"ui_settings": {},
"metadata": {
"some_key": "some_value"
},
"oidc_id": null,
"auth_type": "password",
"deleted": false
}{
"detail": "Bad Request.",
"code": "bad_request"
}{
"detail": "Invalid token.",
"code": "authentication_failed"
}{
"detail": "Access to the requested resource is forbidden.",
"code": "access_forbidden"
}{
"detail": "Not found.",
"code": "not_found"
}{
"detail": "Conflict.",
"code": "conflict_status"
}{
"detail": "Payload Too Large.",
"code": "payload_too_large"
}{
"detail": "Request was rate limited.",
"code": "rate_limited",
"url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}{
"detail": "Server error.",
"code": "error"
}{
"detail": "Bad Gateway.",
"code": "bad_gateway"
}{
"detail": "Service Unavailable.",
"code": "service_unavailable"
}{
"detail": "Gateway timeout.",
"code": "gateway_timeout"
}Request Body
application/json
New password
minLength: 12, maxLength: 64New password confirmation (must match new_password1)
minLength: 12, maxLength: 64Current password
Response
OK
ID of the user
URL of the user
First name of the user
Last name of the user
Email of the user
Phone number of the user
Date of user join
Username of a user
Organization URL.
List of queues user is assigned to
Default:[]Whether user is enabled or disabled
Default:trueDate of last login
User-related frontend UI settings (e.g. locales). Rossum internal.
Default:{}Client data. May be used to store e.g. external system object IDs. See Metadata for more details.
Default:{}OIDC provider id used to match Rossum user (displayed only to admin user)
Default:nullAuthorization method, can be sso or password. This field can be edited only by admin.
"password"Whether a user is deleted
Default:falseInvalid input data.
Detail of the error
Code of the error
The username/password is invalid or token is invalid (e.g. expired).
Detail of the error
Code of the error
Insufficient permission, missing authentication, invalid CSRF token and similar issue.
Detail of the error
Code of the error
The specified resource was not found.
Detail of the error
Code of the error
Conflict
Detail of the error
Code of the error
Payload too large (especially for files uploaded).
Detail of the error
Code of the error
Request rate is too high, wait before sending more requests. See Rate Limiting for more details.
Detail of the error
Code of the error
Link to the rate limiting documentation
Server failure while processing the request.
Detail of the error
Code of the error
Invalid response from the upstream server.
Detail of the error
Code of the error
We're temporarily offline for maintenance. Please try again later.
Detail of the error
Code of the error
Upstream server could not complete the request in time.
Detail of the error
Code of the error
Reset password
POST api / v1 / auth / password / reset
Reset password to a users specified by their emails. The users are sent an email with a verification URL leading to web form, where they can set their password.
curl -X POST "https://example.rossum.app/api/v1/auth/password/reset" \ -H "Content-Type: application/json" \ -d '{ "email": "user@example.com" }'{
"detail": "Password reset e-mail has been sent."
}{
"detail": "Bad Request.",
"code": "bad_request"
}{
"detail": "Invalid token.",
"code": "authentication_failed"
}{
"detail": "Access to the requested resource is forbidden.",
"code": "access_forbidden"
}{
"detail": "Not found.",
"code": "not_found"
}{
"detail": "Conflict.",
"code": "conflict_status"
}{
"detail": "Payload Too Large.",
"code": "payload_too_large"
}{
"detail": "Request was rate limited.",
"code": "rate_limited",
"url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}{
"detail": "Server error.",
"code": "error"
}{
"detail": "Bad Gateway.",
"code": "bad_gateway"
}{
"detail": "Service Unavailable.",
"code": "service_unavailable"
}{
"detail": "Gateway timeout.",
"code": "gateway_timeout"
}Request Body
application/json
Email of the user to reset password for
Response
OK
Invalid input data.
Detail of the error
Code of the error
The username/password is invalid or token is invalid (e.g. expired).
Detail of the error
Code of the error
Insufficient permission, missing authentication, invalid CSRF token and similar issue.
Detail of the error
Code of the error
The specified resource was not found.
Detail of the error
Code of the error
Conflict
Detail of the error
Code of the error
Payload too large (especially for files uploaded).
Detail of the error
Code of the error
Request rate is too high, wait before sending more requests. See Rate Limiting for more details.
Detail of the error
Code of the error
Link to the rate limiting documentation
Server failure while processing the request.
Detail of the error
Code of the error
Invalid response from the upstream server.
Detail of the error
Code of the error
We're temporarily offline for maintenance. Please try again later.
Detail of the error
Code of the error
Upstream server could not complete the request in time.
Detail of the error
Code of the error
Retrieve current user
GET api / v1 / auth / user
Get user object for the currently authorized user.
curl -X GET "https://example.rossum.app/api/v1/auth/user"{
"id": 10775,
"url": "https://example.rossum.app/api/v1/users/10775",
"first_name": "John",
"last_name": "Doe",
"email": "john-doe@east-west-trading.com",
"phone_number": "+1-212-456-7890",
"password": "string",
"date_joined": "2018-09-19T13:44:56.000000Z",
"username": "john-doe@east-west-trading.com",
"groups": [
"https://example.rossum.app/api/v1/groups/3"
],
"organization": "https://example.rossum.app/api/v1/organizations/406",
"queues": [
"https://example.rossum.app/api/v1/queues/8199"
],
"is_active": true,
"last_login": "2019-02-07T16:20:18.652253Z",
"ui_settings": {},
"metadata": {
"some_key": "some_value"
},
"oidc_id": null,
"auth_type": "password",
"deleted": false
}{
"detail": "Bad Request.",
"code": "bad_request"
}{
"detail": "Invalid token.",
"code": "authentication_failed"
}{
"detail": "Access to the requested resource is forbidden.",
"code": "access_forbidden"
}{
"detail": "Not found.",
"code": "not_found"
}{
"detail": "Conflict.",
"code": "conflict_status"
}{
"detail": "Request was rate limited.",
"code": "rate_limited",
"url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}{
"detail": "Server error.",
"code": "error"
}{
"detail": "Bad Gateway.",
"code": "bad_gateway"
}{
"detail": "Service Unavailable.",
"code": "service_unavailable"
}{
"detail": "Gateway timeout.",
"code": "gateway_timeout"
}Response
OK
ID of the user
URL of the user
First name of the user
Last name of the user
Email of the user
Phone number of the user
Date of user join
Username of a user
Organization URL.
List of queues user is assigned to
Default:[]Whether user is enabled or disabled
Default:trueDate of last login
User-related frontend UI settings (e.g. locales). Rossum internal.
Default:{}Client data. May be used to store e.g. external system object IDs. See Metadata for more details.
Default:{}OIDC provider id used to match Rossum user (displayed only to admin user)
Default:nullAuthorization method, can be sso or password. This field can be edited only by admin.
"password"Whether a user is deleted
Default:falseInvalid input data.
Detail of the error
Code of the error
The username/password is invalid or token is invalid (e.g. expired).
Detail of the error
Code of the error
Insufficient permission, missing authentication, invalid CSRF token and similar issue.
Detail of the error
Code of the error
The specified resource was not found.
Detail of the error
Code of the error
Conflict
Detail of the error
Code of the error
Request rate is too high, wait before sending more requests. See Rate Limiting for more details.
Detail of the error
Code of the error
Link to the rate limiting documentation
Server failure while processing the request.
Detail of the error
Code of the error
Invalid response from the upstream server.
Detail of the error
Code of the error
We're temporarily offline for maintenance. Please try again later.
Detail of the error
Code of the error
Upstream server could not complete the request in time.
Detail of the error
Code of the error
Partial update current user
PATCH api / v1 / auth / user
Update part of the currently authorized user. Fields organization, groups, and queues
are read-only at this endpoint; use partial update user to modify them.
curl -X PATCH "https://example.rossum.app/api/v1/auth/user" \ -H "Content-Type: application/json" \ -d '{}'{
"id": 10775,
"url": "https://example.rossum.app/api/v1/users/10775",
"first_name": "John",
"last_name": "Doe",
"email": "john-doe@east-west-trading.com",
"phone_number": "+1-212-456-7890",
"password": "string",
"date_joined": "2018-09-19T13:44:56.000000Z",
"username": "john-doe@east-west-trading.com",
"groups": [
"https://example.rossum.app/api/v1/groups/3"
],
"organization": "https://example.rossum.app/api/v1/organizations/406",
"queues": [
"https://example.rossum.app/api/v1/queues/8199"
],
"is_active": true,
"last_login": "2019-02-07T16:20:18.652253Z",
"ui_settings": {},
"metadata": {
"some_key": "some_value"
},
"oidc_id": null,
"auth_type": "password",
"deleted": false
}{
"detail": "Bad Request.",
"code": "bad_request"
}{
"detail": "Invalid token.",
"code": "authentication_failed"
}{
"detail": "Access to the requested resource is forbidden.",
"code": "access_forbidden"
}{
"detail": "Not found.",
"code": "not_found"
}{
"detail": "Conflict.",
"code": "conflict_status"
}{
"detail": "Payload Too Large.",
"code": "payload_too_large"
}{
"detail": "Request was rate limited.",
"code": "rate_limited",
"url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}{
"detail": "Server error.",
"code": "error"
}{
"detail": "Bad Gateway.",
"code": "bad_gateway"
}{
"detail": "Service Unavailable.",
"code": "service_unavailable"
}{
"detail": "Gateway timeout.",
"code": "gateway_timeout"
}Request Body
application/json
First name of the user
Last name of the user
Phone number of the user
Password (not shown on API)
Date of user join
Username of a user
Organization URL.
List of queues user is assigned to
Default:[]Whether user is enabled or disabled
Default:trueDate of last login
User-related frontend UI settings (e.g. locales). Rossum internal.
Default:{}Client data. May be used to store e.g. external system object IDs. See Metadata for more details.
Default:{}OIDC provider id used to match Rossum user (displayed only to admin user)
Default:nullAuthorization method, can be sso or password. This field can be edited only by admin.
"password"Response
OK
ID of the user
URL of the user
First name of the user
Last name of the user
Email of the user
Phone number of the user
Date of user join
Username of a user
Organization URL.
List of queues user is assigned to
Default:[]Whether user is enabled or disabled
Default:trueDate of last login
User-related frontend UI settings (e.g. locales). Rossum internal.
Default:{}Client data. May be used to store e.g. external system object IDs. See Metadata for more details.
Default:{}OIDC provider id used to match Rossum user (displayed only to admin user)
Default:nullAuthorization method, can be sso or password. This field can be edited only by admin.
"password"Whether a user is deleted
Default:falseInvalid input data.
Detail of the error
Code of the error
The username/password is invalid or token is invalid (e.g. expired).
Detail of the error
Code of the error
Insufficient permission, missing authentication, invalid CSRF token and similar issue.
Detail of the error
Code of the error
The specified resource was not found.
Detail of the error
Code of the error
Conflict
Detail of the error
Code of the error
Payload too large (especially for files uploaded).
Detail of the error
Code of the error
Request rate is too high, wait before sending more requests. See Rate Limiting for more details.
Detail of the error
Code of the error
Link to the rate limiting documentation
Server failure while processing the request.
Detail of the error
Code of the error
Invalid response from the upstream server.
Detail of the error
Code of the error
We're temporarily offline for maintenance. Please try again later.
Detail of the error
Code of the error
Upstream server could not complete the request in time.
Detail of the error
Code of the error
Update current user
PUT api / v1 / auth / user
Update the currently authorized user. Fields organization, groups, and queues
are read-only at this endpoint; use update user to modify them.
curl -X PUT "https://example.rossum.app/api/v1/auth/user" \ -H "Content-Type: application/json" \ -d '{}'{
"id": 10775,
"url": "https://example.rossum.app/api/v1/users/10775",
"first_name": "John",
"last_name": "Doe",
"email": "john-doe@east-west-trading.com",
"phone_number": "+1-212-456-7890",
"password": "string",
"date_joined": "2018-09-19T13:44:56.000000Z",
"username": "john-doe@east-west-trading.com",
"groups": [
"https://example.rossum.app/api/v1/groups/3"
],
"organization": "https://example.rossum.app/api/v1/organizations/406",
"queues": [
"https://example.rossum.app/api/v1/queues/8199"
],
"is_active": true,
"last_login": "2019-02-07T16:20:18.652253Z",
"ui_settings": {},
"metadata": {
"some_key": "some_value"
},
"oidc_id": null,
"auth_type": "password",
"deleted": false
}{
"detail": "Bad Request.",
"code": "bad_request"
}{
"detail": "Invalid token.",
"code": "authentication_failed"
}{
"detail": "Access to the requested resource is forbidden.",
"code": "access_forbidden"
}{
"detail": "Not found.",
"code": "not_found"
}{
"detail": "Conflict.",
"code": "conflict_status"
}{
"detail": "Payload Too Large.",
"code": "payload_too_large"
}{
"detail": "Request was rate limited.",
"code": "rate_limited",
"url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}{
"detail": "Server error.",
"code": "error"
}{
"detail": "Bad Gateway.",
"code": "bad_gateway"
}{
"detail": "Service Unavailable.",
"code": "service_unavailable"
}{
"detail": "Gateway timeout.",
"code": "gateway_timeout"
}Request Body
application/json
First name of the user
Last name of the user
Phone number of the user
Password (not shown on API)
Date of user join
Username of a user
Organization URL.
List of queues user is assigned to
Default:[]Whether user is enabled or disabled
Default:trueDate of last login
User-related frontend UI settings (e.g. locales). Rossum internal.
Default:{}Client data. May be used to store e.g. external system object IDs. See Metadata for more details.
Default:{}OIDC provider id used to match Rossum user (displayed only to admin user)
Default:nullAuthorization method, can be sso or password. This field can be edited only by admin.
"password"Response
OK
ID of the user
URL of the user
First name of the user
Last name of the user
Email of the user
Phone number of the user
Date of user join
Username of a user
Organization URL.
List of queues user is assigned to
Default:[]Whether user is enabled or disabled
Default:trueDate of last login
User-related frontend UI settings (e.g. locales). Rossum internal.
Default:{}Client data. May be used to store e.g. external system object IDs. See Metadata for more details.
Default:{}OIDC provider id used to match Rossum user (displayed only to admin user)
Default:nullAuthorization method, can be sso or password. This field can be edited only by admin.
"password"Whether a user is deleted
Default:falseInvalid input data.
Detail of the error
Code of the error
The username/password is invalid or token is invalid (e.g. expired).
Detail of the error
Code of the error
Insufficient permission, missing authentication, invalid CSRF token and similar issue.
Detail of the error
Code of the error
The specified resource was not found.
Detail of the error
Code of the error
Conflict
Detail of the error
Code of the error
Payload too large (especially for files uploaded).
Detail of the error
Code of the error
Request rate is too high, wait before sending more requests. See Rate Limiting for more details.
Detail of the error
Code of the error
Link to the rate limiting documentation
Server failure while processing the request.
Detail of the error
Code of the error
Invalid response from the upstream server.
Detail of the error
Code of the error
We're temporarily offline for maintenance. Please try again later.
Detail of the error
Code of the error
Upstream server could not complete the request in time.
Detail of the error
Code of the error
Retrieve password score
POST api / v1 / auth / password / score
Score to allow users to see how strong their password is from 0 (risky password) to 4 (strong password).
curl -X POST "https://example.rossum.app/api/v1/auth/password/score" \ -H "Content-Type: application/json" \ -d '{ "password": "MySecureP@ssw0rd" }'{
"score": 2,
"messages": [
"Add another word or two. Uncommon words are better."
]
}{
"detail": "Bad Request.",
"code": "bad_request"
}{
"detail": "Invalid token.",
"code": "authentication_failed"
}{
"detail": "Access to the requested resource is forbidden.",
"code": "access_forbidden"
}{
"detail": "Not found.",
"code": "not_found"
}{
"detail": "Conflict.",
"code": "conflict_status"
}{
"detail": "Payload Too Large.",
"code": "payload_too_large"
}{
"detail": "Request was rate limited.",
"code": "rate_limited",
"url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}{
"detail": "Server error.",
"code": "error"
}{
"detail": "Bad Gateway.",
"code": "bad_gateway"
}{
"detail": "Service Unavailable.",
"code": "service_unavailable"
}{
"detail": "Gateway timeout.",
"code": "gateway_timeout"
}Request Body
application/json
Password to be scored
Email of the user
First name of the user
Last name of the user
Response
OK
Password strength score from 0 (risky password) to 4 (strong password)
min: 0, max: 4Suggestions from the validators
Invalid input data.
Detail of the error
Code of the error
The username/password is invalid or token is invalid (e.g. expired).
Detail of the error
Code of the error
Insufficient permission, missing authentication, invalid CSRF token and similar issue.
Detail of the error
Code of the error
The specified resource was not found.
Detail of the error
Code of the error
Conflict
Detail of the error
Code of the error
Payload too large (especially for files uploaded).
Detail of the error
Code of the error
Request rate is too high, wait before sending more requests. See Rate Limiting for more details.
Detail of the error
Code of the error
Link to the rate limiting documentation
Server failure while processing the request.
Detail of the error
Code of the error
Invalid response from the upstream server.
Detail of the error
Code of the error
We're temporarily offline for maintenance. Please try again later.
Detail of the error
Code of the error
Upstream server could not complete the request in time.
Detail of the error
Code of the error